#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: QuickCheck
version: 2.11.3
id: QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr
key: QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr
license: BSD-3-Clause
copyright: 2000-2017 Koen Claessen, 2006-2008 Björn Bringert, 2009-2017 Nick Smallbone
maintainer: Nick Smallbone <nick@smallbone.se>; see also QuickCheck mailing list (https://groups.google.com/forum/#!forum/haskell-quickcheck)
author: Koen Claessen <koen@chalmers.se>
homepage: https://github.com/nick8325/quickcheck
synopsis: Automatic testing of Haskell programs
description:
    QuickCheck is a library for random testing of program properties.
    .
    The programmer provides a specification of the program, in the form of
    properties which functions should satisfy, and QuickCheck then tests that the
    properties hold in a large number of randomly generated cases.
    .
    Specifications are expressed in Haskell, using combinators defined in the
    QuickCheck library. QuickCheck provides combinators to define properties,
    observe the distribution of test data, and define test data generators.
    .
    The <http://www.cse.chalmers.se/~rjmh/QuickCheck/manual.html official QuickCheck manual>
    explains how to write generators and properties;
    it is out-of-date in some details but still full of useful advice.
    .
    A user of QuickCheck has written an unofficial, but detailed, tutorial which
    you can find at
    <https://begriffs.com/posts/2017-01-14-design-use-quickcheck.html>.
category: Testing
abi: 0b62adbb61d61aac8d449588192e831b
exposed: True
exposed-modules:
    Test.QuickCheck Test.QuickCheck.All Test.QuickCheck.Arbitrary
    Test.QuickCheck.Exception Test.QuickCheck.Function
    Test.QuickCheck.Gen Test.QuickCheck.Gen.Unsafe
    Test.QuickCheck.Modifiers Test.QuickCheck.Monadic
    Test.QuickCheck.Poly Test.QuickCheck.Property
    Test.QuickCheck.Random Test.QuickCheck.State Test.QuickCheck.Test
    Test.QuickCheck.Text
import-dirs: /usr/lib/ghc-8.4.3/site-local/QuickCheck-2.11.3
library-dirs: /usr/lib/ghc-8.4.3/site-local/QuickCheck-2.11.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/QuickCheck-2.11.3
hs-libraries: HSQuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr
depends:
    base-4.11.1.0 random-1.1-9LLJAJa4iQFLJiLXBOBXBV containers-0.5.11.0
    transformers-0.5.5.0 deepseq-1.4.3.0 template-haskell-2.13.0.0
    tf-random-0.5-I39p3qgWMzeLwkvBknVuZq
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=8df244958947206247b1dd733653312e
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             deepseq-1.4.3.0=00d8faa7363cb0be9acd709ef6549e22
             template-haskell-2.13.0.0=1ce4a454c5861830bbdedc46baa462f3
             tf-random-0.5-I39p3qgWMzeLwkvBknVuZq=a5f9e7f35c2dd2438de490ec75468716
haddock-interfaces: /usr/share/doc/haskell-quickcheck/html/QuickCheck.haddock
haddock-html: /usr/share/doc/haskell-quickcheck/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

